dbshell(1)

NAME
dbshell - HiPerConTracer Database Shell

SYNOPSIS
dbshell database_configuration [-d | --dry-run] [-B file_prefix | --write-dbeaver-config file_prefix] [-q | --quiet] [-w | --verbose]
dbshell [-h | --help]
dbshell [-v | --version]

DESCRIPTION
dbshell is a simple script to start a database shell, based on the settings from a given database configuration file. It is mainly intended to test database access using the configuration files for HPCT Importer and HPCT Query Tool.

ARGUMENTS
The following arguments may be provided:

database_configuration
    Sets the name of the database configuration file.

-d | --dry-run
    Just shows the command-line call to start the database shell, but does not execute it.

-B file_prefix | --write-dbeaver-config file_prefix
    Write DBeaver configuration files (the configuration file itself, as well as a credentials file) with the given file name prefix.

-q | --quiet
    Turns off status output.

-w | --verbose
    Turns on status output.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The dbshell tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

dbshell hipercontracer-importer.conf

dbshell hipercontracer-database.conf -q

dbshell hipercontracer-importer.conf -d

dbshell hipercontracer-database.conf --dry-run

dbshell hipercontracer-database.conf --dry-run -q -B dbeaver-config

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh